WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | Protected Attributes | List of all members
winstd::setup_driver_info_list_builder Class Reference
Setup API

Builds a list of drivers in constructor and deletes it in destructor. More...

`#include <SetupAPI.h>`

## Public Member Functions
| setup_driver_info_list_builder (_In_ HDEVINFO DeviceInfoSet, _Inout_opt_ PSP_DEVINFO_DATA DeviceInfoData, _In_ DWORD DriverType) noexcept
| Construct the builder and builds a list of drivers that is associated with a specific device or with the global class driver list for a device information set. More...
virtual | ~setup_driver_info_list_builder ()
| Deletes a driver list and destructs the builder. More...
BOOL | status () const noexcept
| Return result of `SetupDiBuildDriverInfoList()` call. More...

## Protected Attributes
HDEVINFO | m_DeviceInfoSet
PSP_DEVINFO_DATA | m_DeviceInfoData
DWORD | m_DriverType
BOOL | m_result
| Did building succeed?

## Detailed Description

Builds a list of drivers in constructor and deletes it in destructor.

## Constructor & Destructor Documentation

## ◆ setup_driver_info_list_builder()

winstd::setup_driver_info_list_builder::setup_driver_info_list_builder | ( | _In_ HDEVINFO | DeviceInfoSet,
|  | _Inout_opt_ PSP_DEVINFO_DATA | DeviceInfoData,
|  | _In_ DWORD | DriverType
| ) |  |
| inline noexcept

Construct the builder and builds a list of drivers that is associated with a specific device or with the global class driver list for a device information set.

See also
  SetupDiBuildDriverInfoList function

## ◆ ~setup_driver_info_list_builder()

virtual winstd::setup_driver_info_list_builder::~setup_driver_info_list_builder | ( |  | ) |
| inline virtual

Deletes a driver list and destructs the builder.

See also
  SetupDiDestroyDriverInfoList function

## Member Function Documentation

## ◆ status()

BOOL winstd::setup_driver_info_list_builder::status | ( |  | ) | const
| inline noexcept

Return result of `SetupDiBuildDriverInfoList()` call.

See also
  SetupDiBuildDriverInfoList function

The documentation for this class was generated from the following file:

- include/WinStd/SetupAPI.h